I can't install primeng under Mac OS El Capitan

UI Components for Angular
Post Reply
zepolar
Posts: 1
Joined: 26 Apr 2012, 06:09

29 Feb 2016, 09:06

Hi Guys, I've tried to install primeng but i have the follow error:
Thanks for you help.

sudo npm install primeng --save
-
> primeng@0.5.0 postinstall /Users/zepolar/node_modules/primeng
> npm run typings install


> primeng@0.5.0 typings /Users/zepolar/node_modules/primeng
> typings "install"

sh: typings: command not found

npm ERR! Darwin 15.3.0
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "run" "typings" "install"
npm ERR! node v4.3.1
npm ERR! npm v2.14.12
npm ERR! file sh
npm ERR! code ELIFECYCLE
npm ERR! errno ENOENT
npm ERR! syscall spawn
npm ERR! primeng@0.5.0 typings: `typings "install"`
npm ERR! spawn ENOENT
npm ERR!
npm ERR! Failed at the primeng@0.5.0 typings script 'typings "install"'.
npm ERR! This is most likely a problem with the primeng package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! typings "install"
npm ERR! You can get their info via:
npm ERR! npm owner ls primeng
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /Users/zepolar/node_modules/primeng/npm-debug.log
npm ERR! Darwin 15.3.0
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "primeng" "--save"
npm ERR! node v4.3.1
npm ERR! npm v2.14.12
npm ERR! code ELIFECYCLE

npm ERR! primeng@0.5.0 postinstall: `npm run typings install`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the primeng@0.5.0 postinstall script 'npm run typings install'.
npm ERR! This is most likely a problem with the primeng package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! npm run typings install
npm ERR! You can get their info via:
npm ERR! npm owner ls primeng
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /Users/zepolar/npm-debug.log

cagatay.civici
Prime
Posts: 18183
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

29 Feb 2016, 13:35

Please install typings module;

https://www.npmjs.com/package/typings

Code: Select all

npm install typings --global
Angular2 manages type definition files using this module.

Nerg
Posts: 6
Joined: 24 Feb 2016, 13:52

01 Mar 2016, 12:31

I had the same error even with the global install of typings. However, the commands worked outside of the script (see below)

Code: Select all

npm ERR! Darwin 15.0.0
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install"
npm ERR! node v5.7.0
npm ERR! npm  v3.6.0
npm ERR! code ELIFECYCLE

npm ERR! primeng@0.5.0 postinstall: npm run typings install
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the primeng@0.5.0 postinstall script 'npm run typings install'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the primeng package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     npm run typings install
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs primeng
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls primeng
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /Users/gren/WebstormProjects/PrimeNG/npm-debug.log
PrimeNG  npm run typings install

> SliderTest@0.0.1 typings /Users/gren/WebstormProjects/PrimeNG
> typings "install"

chart (ambient)
es6-shim (ambien)
jquery (ambient)
jqueryui (ambient)

cagatay.civici
Prime
Posts: 18183
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

01 Mar 2016, 13:03

For 0.6.0, we've removed "primeng@0.5.0 postinstall: npm run typings install" postinstall so it should fix the error.

So does the app work work you now?

Nerg
Posts: 6
Joined: 24 Feb 2016, 13:52

01 Mar 2016, 16:37

Yes it works now with 0.5.0. I couldn't get the 0.6.0, maybe the version number wasn't incremented ?

Anyway, everything works now. Thanks.

cagatay.civici
Prime
Posts: 18183
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

01 Mar 2016, 18:55

0.6.0 has not been released yet, it is scheduled for March 7th.

Post Reply

Return to “PrimeNG”

  • Information
  • Who is online

    Users browsing this forum: a.cerella and 4 guests